org.apache.cassandra.index.sasi.sa

## Class IntegralSA

- java.lang.Object
- - org.apache.cassandra.index.sasi.sa.SA<java.nio.ByteBuffer>
  - - org.apache.cassandra.index.sasi.sa.IntegralSA

-     public class IntegralSA
      extends SA<java.nio.ByteBuffer>

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.index.sasi.sa.SA

      `charCount, comparator, mode, terms`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegralSA(AbstractType<?> comparator, OnDiskIndexBuilder.Mode mode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TermIterator` | `finish()`
    `Term<java.nio.ByteBuffer>` | `getTerm(java.nio.ByteBuffer termValue, TokenTreeBuilder tokens)`

    - ### Methods inherited from class org.apache.cassandra.index.sasi.sa.SA

      `add, getMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegralSA

          public IntegralSA(AbstractType<?> comparator,
                            OnDiskIndexBuilder.Mode mode)

  - ### Method Detail

    - #### getTerm

          public Term<java.nio.ByteBuffer> getTerm(java.nio.ByteBuffer termValue,
                                                   TokenTreeBuilder tokens)

      Specified by:
        `getTerm` in class `SA<java.nio.ByteBuffer>`

    - #### finish

          public TermIterator finish()

      Specified by:
        `finish` in class `SA<java.nio.ByteBuffer>`

Copyright © 2018 The Apache Software Foundation